import * as tslib_1 from "tslib";
import Coord from './base';
var Cartesian = /** @class */ (function (_super) {
    tslib_1.__extends(Cartesian, _super);
    function Cartesian(cfg) {
        var _this = _super.call(this, tslib_1.__assign({ start: {
                x: 0,
                y: 0,
            }, end: {
                x: 0,
                y: 0,
            } }, cfg)) || this;
        _this.type = 'cartesian';
        _this.isRect = true;
        _this._init();
        return _this;
    }
    Cartesian.prototype._init = function () {
        var start = this.start;
        var end = this.end;
        var x = {
            start: start.x,
            end: end.x,
        };
        var y = {
            start: start.y,
            end: end.y,
        };
        this.x = x;
        this.y = y;
    };
    Cartesian.prototype.convertPoint = function (point) {
        var x;
        var y;
        if (this.isTransposed) {
            x = point.y;
            y = point.x;
        }
        else {
            x = point.x;
            y = point.y;
        }
        return {
            x: this.convertDim(x, 'x'),
            y: this.convertDim(y, 'y'),
        };
    };
    Cartesian.prototype.invertPoint = function (point) {
        var x = this.invertDim(point.x, 'x');
        var y = this.invertDim(point.y, 'y');
        if (this.isTransposed) {
            return {
                x: y,
                y: x,
            };
        }
        return {
            x: x,
            y: y,
        };
    };
    return Cartesian;
}(Coord));
export default Cartesian;
//# sourceMappingURL=cartesian.js.map