import { mix } from '@antv/util';
import { lngLatProjection } from '../projection/lnglat-projection';
import { Transformation } from '../transformation';
import { CRS } from './crs';
var transform = new Transformation(1, 0, -1, 0);
// @ts-ignore
export var simple = mix({}, CRS, {
    projection: lngLatProjection,
    transformation: transform,
    scale: function (zoom) {
        return Math.pow(2, zoom);
    },
    zoom: function (scale) {
        return Math.log(scale) / Math.LN2;
    },
    distance: function (latlng1, latlng2) {
        var dx = latlng2.lng - latlng1.lng;
        var dy = latlng2.lat - latlng1.lat;
        return Math.sqrt(dx * dx + dy * dy);
    },
    infinite: true,
});
//# sourceMappingURL=crs-simple.js.map