/**
 * @fileOverview the class of Helix Coordinate
 * @author sima.zhang
 */
import { CoordCfg, PointRange, PointType } from '../interface';
import Coord from './base';
export default class Helix extends Coord {
    type: string;
    isHelix: boolean;
    a: number;
    b: number;
    d: number;
    x: PointRange;
    y: PointRange;
    constructor(cfg: CoordCfg);
    _init(): void;
    getCenter(): PointType;
    /**
     * 将百分比数据变成屏幕坐标
     * @param  {Object} PointType 归一化的点坐标
     * @return {Object}       返回对应的屏幕坐标
     */
    convertPoint(point: PointType): PointType;
    /**
     * 将屏幕坐标点还原成百分比数据
     * @param  {Object} PointType 屏幕坐标
     * @return {Object}       返回对应的归一化后的数据
     */
    invertPoint(point: PointType): PointType;
}
