import Coord from './coord/base';
// 所有的 Coord map
var COORDINATE_MAP = {};
/**
 * 通过类型获得 Coord 类
 * @param type
 */
var getCoord = function (type) {
    return COORDINATE_MAP[type.toLowerCase()];
};
var registerCoord = function (type, ctor) {
    // 注册的时候，需要校验 type 重名，不区分大小写
    if (getCoord(type)) {
        throw new Error("Coordinate type '" + type + "' existed.");
    }
    // 存储到 map 中
    COORDINATE_MAP[type.toLowerCase()] = ctor;
};
export { getCoord, registerCoord, Coord };
//# sourceMappingURL=factory.js.map