import { PointExpression } from '../interface';
export declare class Point {
    x: number;
    y: number;
    /**
     * 平面坐标
     * @param x x坐标
     * @param y y坐标
     * @param round 是否取整
     */
    constructor(x: number, y: number, round?: boolean);
    clone(): Point;
    add(point: PointExpression, y?: number, round?: boolean): Point;
    _add(point: Point): this;
    subtract(point: PointExpression, y?: number, round?: boolean): Point;
    divideBy(num: number): Point;
    multiplyBy(num: number): Point;
    _multiplyBy(num: number): Point;
    scaleBy(point: Point): Point;
    unscaleBy(point: Point): Point;
    round(): Point;
    floor(): Point;
    ceil(): Point;
    trunc(): Point;
    _trunc(): Point;
    distanceTo(point: PointExpression): number;
    equals(point: PointExpression, threshold?: number): boolean;
    contains(point: PointExpression): boolean;
    toString(): string;
    private _subtract;
    private _divideBy;
    private _round;
    private _floor;
    private _ceil;
}
export declare function toPoint(x: any, y?: number, round?: boolean): Point;
