import { Bounds } from './geometry/bounds';
import { LngLat } from './geometry/lng-lat';
import { LngLatBounds } from './geometry/lng-lat-bounds';
import { Point } from './geometry/point';
export declare type PointTuple = [number, number];
export declare type PointExpression = Point | PointObject | PointTuple;
export declare type BoundsLiteral = [PointExpression, PointExpression];
export declare type BoundsExpression = Bounds | BoundsLiteral;
export declare type LngLatTuple = [number, number] | [number, number, number];
export declare type LngLatExpression = LngLat | LngLatObject | LngLatTuple;
export declare type LngLatBoundsLiteral = LngLatTuple[];
export declare type LngLatBoundsExpression = LngLatBounds | LngLatBoundsLiteral;
export interface PointObject {
    x: number;
    y: number;
}
export interface LngLatObject {
    lng: number;
    lat: number;
    alt?: number;
}
export interface CRSOption {
    wrapLng: number[] | null;
    wrapLat: number[] | null;
    projection: any;
    transformation: any;
    [propName: string]: any;
    lngLatToPoint(lnglat: LngLat, zoom: number): Point;
}
